<template>
  <q-page class="flex flex-center">
    <div v-if="isLoggedIn === null">Загрузка</div>
    <ActionsStub></ActionsStub>
  </q-page>
</template>

<script>
import { mapState } from "pinia";
import { useAuthStore } from "src/stores/auth";
import { defineAsyncComponent, defineComponent } from "vue";
import meta from "src/utils/meta";
import { createMetaMixin } from "quasar";
import ActionsStub from "src/components/ActionsStub.vue";

export default defineComponent({
  name: "ActionsPage",
  data() {
    return {
      metaTags: {
        title: "Стартовая страница",
        description: "Стартовая страница",
        keywords: "Стартовая страница",
        url: process.env.APP_HOST + this.$route.path,
        image: "",
        robots: "",
      },
      confirm: true,
    };
  },
  mixins: [
    createMetaMixin(function () {
      return meta(this.metaTags);
    }),
  ],
  components: {
    ActionsStub,
  },
  computed: {
    ...mapState(useAuthStore, ["isLoggedIn"]),
  },
});
</script>
